[Rubygems-developers] [PATCH] Support extensions built with rake

Chad Fowler chad at chadfowler.com
Tue Aug 30 16:30:09 EDT 2005


On 30-Aug-05, at 3:56 PM, Tilman Sauerbeck wrote:

> On Mon, 15 Aug 2005 20:49:27 -0400 Chad Fowler  
> <chad at chadfowler.com> wrote:
>
>
>> On 12-Aug-05, at 9:58 AM, Tilman Sauerbeck wrote:
>>
>>
>>> <rubygems-rake_ext.diff>
>>>
>
> So, any problems with that patch (I guess so)?
> Let me know what sucks about it so I can fix it, I'd really like to  
> see that feature hit CVS :)

Hi!  Sorry!  I've been super busy at home and let this slip off the  
radar!

Are you able to install your ruby-eet gem using this patch?  I get this:

$ sudo gem install ruby-eet-0.1.3.gem  --backtrace
Attempting local installation of 'ruby-eet-0.1.3.gem'
Building native extensions.  This could take a while...
ERROR:  Error installing gem ruby-eet-0.1.3.gem[.gem]: undefined  
method `join' for nil:NilClass

"backtrace" isn't showing anything for some reason in my case and I  
haven't had a chance to debug yet.
I wanted to validate that you were able to run this before I spend  
too much time on it.

Thanks,
Chad


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/rubygems-developers/attachments/20050830/73a6d290/attachment.htm


More information about the Rubygems-developers mailing list